# Global Node Translation

The Global Node Translation module creates translations in all enabled
languages when a node is created in the original language.

For a full description of the module, visit the
[project page](https://www.drupal.org/project/global_node_translation).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/global_node_translation).


## Table of Contents
- Requirements
- Installation
- Configuration
- Maintainers

## Requirements

This module requires no module outside of the drupal core.

## Installation

Install as you would normally install a contributed Drupal module. For further
information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).

## Configuration

To use:
1. Navigate to Administration > Extend and search for "Global Node Translation"
module.
2. Under the Global Node Translation Module, you will find a configure link, 
here you can select the languages you want to create translations for.
3. Go to Administration > Configuration > Regional and Language >
Content language and translation.
4. Enable the content types and fields that you want to be translatable.
5. After enabling the content types, the module provides an option to enable
automatic translation for each content type.
6. Navigate to the content type settings page.
7. Find the "Enable Automatic Translate" option under language settings.
8. Check the option to enable automatic translation for this content type.

## Maintainers

- Gurkawal Kaur - [gurkawal](https://www.drupal.org/u/gurkawal)
- Manpreet Singh - [manpreet_singh](https://www.drupal.org/u/manpreet_singh)
- Pankaj Kumar  - [pankaj_lnweb](https://www.drupal.org/u/pankaj_lnweb)
- Shikha Dawar - [shikha_lnweb](https://www.drupal.org/u/shikha_lnweb)
